I thought that was the point of having 'Create Group from Slice'...
then explode to get the edges in context...
john
I thought that was the point of having 'Create Group from Slice'...
then explode to get the edges in context...
john
it is an SU message, so... have you restarted SU between failures?
john
sorry I wasn't clear...
what I was suggesting is you save the base geometry as a new separate component...
in the topo model it will still have layers, but not in the component...
you would need two components if water and land are separate entities...
if you upload a simple example we would understand your goal better...
john
Save the 'Topographical' group in the 'Topographical' model as a separate component...
import the model into the 'Combined' file, then Right Click >> Reload whenever you need...
john
if the path is away from the end result, it is easier to reselect...
john
sorry, I don't have Acrobat installed...
the guy who 'fixed' your file earlier in this thread saved it using Acrobat Distiller 11.0 (Windows) as v1.5...
there are on-line and downloadable pdf convertors...
john
All I did was opened and saved on my mac...
the only real difference is OS X 'shows' the 'lowest' pdf version number 'needed' to open but your file shows the pdf version as being v1.7...
Corel must prefer the v1.4 tag as the contents is identical...
john
@tomato said:
... each Recessed Light..
whenever you have more than one of anything, you should just make a component and place the copies...
they can even have 'cuts opening' set on them to save your that issue...
john
to get a component, you need to use
class MyModelObserver < Sketchup;;ModelObserver
def onPlaceComponent(instance)
# check it's a DC in here. then trigger the dialog with a win32 call
end
end
but it needs so many other checks as well...
john
you need an App Observer that starts a Model Observer that contains an Components Observer that checks for Dynamic Attributes so you can then use a Sketchup.send_action)__if one exists...
probably easier to set a shortcut key...
john
is this what you mean?
draw a cube, select any face, run this code...
mod = Sketchup.active_model
ents = mod.active_entities
sel = mod.selection
face = sel.grep(Sketchup;;Face)[0]
cent = face.bounds.center
norm = face.normal
dia = 10
segs = 24
ents.add_circle(cent, norm, dia, segs)
sel.clear
sel.add(ents.to_a.last)
sel[0].erase!
john
cotty, do you use a coma as your decimal separator?
john
@unknownuser said:
...At the end of you skp session, just save-as your current version.
a ordinary 'Save' will automatically save it to your current version...
john
your width and height aren't square...
@rami_lpm said:
...I've tried changing image size, aspect ratio, format, and setting view.line_width to 0...
Error: #<NoMethodError: undefined method
line_width' for #Sketchup::View:0x007f91557a6190>`
but changing the aspect ratio has an even worse effect on a mac in SU v17...
the black bars it creates completely corrupt the export...
john
the geometry [1.4 million entities] comes in at 154MB using jf_mesh_importer...
you can then split it up and mirror bits to reduce further and re-paint with the two materials it seems to be using...
I imported the FBX as others failed...
john
I'd suggest not yelling your Layer names...
e.g.
Roof_Truss
Roof_Framing
Roof_Sheathing
Roof_Trim
Floor_Truss
Floor_Framing
Floor_Sheathing
to me it's polite and looks more professional...
john
I get this happening on my mac because I run SU on a 2nd 'screen'...
maybe it's something similar?
john
it's very hard to ascertain your code's logic from your description...
can you post a 'working/failing' example...
system calls work great on osx, but I normally use backticks `` or %x variants...
john
I thought that should work...
you can turn them off per app on a mac but I don't get them anyway...
john